* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --index: calc(1vw + 1vh);
    --gutter: 30px;
    --side-small: 26;
    --side-big: 36;
    --depth: 5200px;
    --transition: .75s cubic-bezier(.075, .5, 0, 1)
}

/* Скрываем Scrollbar */
body {
    scrollbar-width: none;
    scroll-behavior: smooth;
    /* Firefox */
}

body::-webkit-scrollbar {
    display: none;
    /* Safari and Chrome */
}

@font-face {
    font-family: raleway_c;
    src: url(../fonts/raleway-v22-cyrillic-300.woff2);
    font-weight: 300;
}

@font-face {
    font-family: raleway_c;
    src: url(../fonts/raleway-v22-cyrillic-100.woff2);
    font-weight: 100;
}

body {
    background-color: #000;
    color: #fff;
    font-size: calc(var(--index) * .8);
    font-family: raleway_c, sans-serif;
    line-height: 1.75;
    height: var(--depth);
    font-weight: 300;
}

.container {
    width: 100%;
    height: 100%;
    position: fixed;
    perspective: 1500px;
}

.gallery {
    transform-style: preserve-3d;
    height: 100%;
}

.frame {
    width: 100%;
    height: 100%;
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: var(--transition), opacity .75s ease;
    will-change: transform;
    transform-style: preserve-3d;
    user-select: none;
    pointer-events: none;
}

.frame__content {
    position: relative;
}

.frame__content--center {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
}

.frame__content--center a {
    text-decoration: none;
    color: white;
    transition: color .3s ease-in-out;
}

h1,
h2 {
    font-weight: 100;
    text-transform: uppercase;
    width: min-content;
    line-height: 1;
    will-change: transform;
}

h3,
h4 {
    font-weight: 100;
    text-transform: uppercase;
    width: 34vw;
    line-height: 1;
    will-change: transform;
}

.frame h2 {
    text-align: center;
    font-size: calc(var(--index) * 3.3);
}

.frame-media {
    position: relative;
    width: calc(var(--index) * var(--side-big));
    height: calc(var(--index) * var(--side-small));
    background-position: center;
    background-size: cover;
    will-change: transform;
}

.frame-media__bottom {
    top: calc(var(--side-big) / 2 * var(--index) + var(--gutter));
}

.frame-media__top {
    bottom: calc(var(--side-big) / 2 * var(--index) + var(--gutter));
}

@media (min-width: 1000px) {
    .frame-media__bottom {
        top: unset;
    }

    .frame-media__top {
        bottom: unset;
    }

    .frame-media__left {
        right: calc(var(--side-big) / 2 * var(--index) + var(--gutter));
    }

    .frame-media__right {
        left: calc(var(--side-big) / 2 * var(--index) + var(--gutter));
    }
}

.frame__bg {
    background-color: rgb(0 0 0 / .87);
}

.text-top>* {
    position: relative;
    bottom: 22vw;
}

.text-bottom>* {
    position: relative;
    top: 22vw;
}

@media (min-width: 640px) {
    .text-top>* {
        position: relative;
        bottom: 18vw;
    }

    .text-bottom>* {
        position: relative;
        top: 18vw;
    }
}

@media (min-width: 1000px) {
    .text-top>* {
        bottom: unset;
    }

    .text-bottom>* {
        top: unset;
    }

    .text-right>* {
        left: 18vw;
    }

    .text-left>* {
        right: 18vw;
    }
}

.frame h3 {
    font-size: calc(var(--index) * 3);
}

.frame p {
    max-width: 65vw;
    width: 100%;
    margin-top: 3vh;
    padding-bottom: 40px;
    will-change: transform;
}

@media (min-width: 640px) {
    .frame p {
        max-width: 45vw;
    }
}

@media (min-width: 1000px) {
    .frame p {
        max-width: 30vw;
    }
}

.soundbutton {
    position: fixed;
    bottom: 5vh;
    right: 5vw;
    cursor: pointer;
    width: 24px;
    transition: .25s ease;
}

.soundbutton.paused {
    opacity: .25;
}

.tg__link,
.frame__link {
    position: absolute;
    color: white;
    display: block;
    cursor: pointer;
    margin-top: -2vh;
    z-index: 1000;
    transition: color .3s ease-in-out;
    text-decoration: none;
    pointer-events: all !important;
    user-select: auto !important;
    will-change: transform;
}

.text-bottom .frame__link {
    bottom: -22vw;
    top: unset;
}

@media (min-width: 640px) {
    .text-bottom .frame__link {
        bottom: -18vw;
    }
}

@media (min-width: 1000px) {
    .text-bottom .frame__link {
        bottom: -1vh;
    }

    .text-left .frame__link {
        left: -18vw;
    }
}

.tg__link:hover,
.frame__link:hover {
    z-index: 1000;
    color: chartreuse;
}

/* Анимайи скрола вниз */

.animation__wrap {
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%) rotate(180deg);
    width: 50px;
    height: 150px;
    pointer-events: none;
    z-index: 1;
    opacity: 1;
    /* visibility: visible; */
    transition: opacity .75s ease-in-out;
}

@media (min-width: 1000px) {
    .animation__wrap {
        transform: translateX(-50%);
        align-items: flex-start;
    }
}

.animation__wrap.hidden {
    opacity: 0;
    /* visibility: hidden; */
}

.chevron {
    position: absolute;
    width: 28px;
    height: 8px;
    opacity: 0;
    transform: scale3d(0.5, 0.5, 0.5);
    animation: move 3s ease-out infinite;
}

.chevron:first-child {
    animation: move 3s ease-out 1s infinite;
}

.chevron:nth-child(2) {
    animation: move 3s ease-out 2s infinite;
}

.chevron:before,
.chevron:after {
    content: ' ';
    position: absolute;
    top: 0;
    height: 100%;
    width: 51%;
    background: #fff;
}

.chevron:before {
    left: 0;
    transform: skew(0deg, 30deg);
}

.chevron:after {
    right: 0;
    width: 50%;
    transform: skew(0deg, -30deg);
}

@keyframes move {
    25% {
        opacity: 1;
    }

    33% {
        opacity: 1;
        transform: translateY(30px);
    }

    67% {
        opacity: 1;
        transform: translateY(40px);
    }

    100% {
        opacity: 0;
        transform: translateY(55px) scale3d(0.5, 0.5, 0.5);
    }
}

/* .text {
    display: block;
    margin-top: 75px;
    margin-left: -30px;
    font-family: "Helvetica Neue", "Helvetica", Arial, sans-serif;
    font-size: 12px;
    color: #fff;
    text-transform: uppercase;
    white-space: nowrap;
    opacity: .25;
    animation: pulse 2s linear alternate infinite;
} */

@keyframes pulse {
    to {
        opacity: 1;
    }
}